qt and qt5-qtbase (SL7)

Synopsis: Moderate: qt and qt5-qtbase security update
Advisory ID: SLSA-2020:5021-1
Issue Date: 2020-11-10
CVE Numbers: None

Security Fix(es):

* qt: buffer over-read in read_xbm_body in gui/image/qxbmhandler.cpp
(CVE-2020-17507)

SL7
x86_64
qt-4.8.7-9.el7_9.i686.rpm
qt-4.8.7-9.el7_9.x86_64.rpm
qt-debuginfo-4.8.7-9.el7_9.i686.rpm
qt-debuginfo-4.8.7-9.el7_9.x86_64.rpm
qt-mysql-4.8.7-9.el7_9.i686.rpm
qt-mysql-4.8.7-9.el7_9.x86_64.rpm
qt-x11-4.8.7-9.el7_9.i686.rpm
qt-x11-4.8.7-9.el7_9.x86_64.rpm
qt5-qtbase-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-debuginfo-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-debuginfo-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-gui-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-gui-5.9.7-5.el7_9.x86_64.rpm
qt-assistant-4.8.7-9.el7_9.x86_64.rpm
qt-config-4.8.7-9.el7_9.x86_64.rpm
qt-demos-4.8.7-9.el7_9.x86_64.rpm
qt-devel-4.8.7-9.el7_9.i686.rpm
qt-devel-4.8.7-9.el7_9.x86_64.rpm
qt-examples-4.8.7-9.el7_9.x86_64.rpm
qt-odbc-4.8.7-9.el7_9.i686.rpm
qt-odbc-4.8.7-9.el7_9.x86_64.rpm
qt-postgresql-4.8.7-9.el7_9.i686.rpm
qt-postgresql-4.8.7-9.el7_9.x86_64.rpm
qt-qdbusviewer-4.8.7-9.el7_9.x86_64.rpm
qt-qvfb-4.8.7-9.el7_9.x86_64.rpm
qt5-qtbase-devel-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-devel-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-doc-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-examples-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-mysql-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-mysql-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-odbc-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-odbc-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-postgresql-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-postgresql-5.9.7-5.el7_9.x86_64.rpm
qt5-qtbase-static-5.9.7-5.el7_9.i686.rpm
qt5-qtbase-static-5.9.7-5.el7_9.x86_64.rpm
noarch
qt5-qtbase-common-5.9.7-5.el7_9.noarch.rpm
qt-devel-private-4.8.7-9.el7_9.noarch.rpm
qt-doc-4.8.7-9.el7_9.noarch.rpm
qt5-rpm-macros-5.9.7-5.el7_9.noarch.rpm

– Scientific Linux Development Team